Subject: Re: Poor man's manpage reader for cygwin/ming
From: [email-masked] (Fabrizio Lodi)

20 Feb 1998 00:48:20 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

[email-masked] wrote:
> 
> The following manpage reader script seems to work pretty well under
> cygwin, and is made of handy parts that are easily available and
> portable to cygwin.
> 
> In this case, less-332 was compiled using mingwin32, since there was
> alternate code in the less-332 source distribution that lets you take
> advantage of mingwin's rtldll.dll library instead of the cygwin terminal.
> Compiling less-332 using cygwin results in a version of less.exe that
> issues diagnostic messages indicating _where_ the cygwin terminal is broken.
> Also, zmore.exe seems to work well using `ln -s less.exe more.exe' as its
> version of more.exe.
> ========================================================================
> 
> #!/bin/sh
> zmore $1 | nroff -man - | col | less

To view man pages I've compiled without any problems thr groff package
from GNU (configured, compiled and installed through the provided
scripts and makefiles) and the standard distribution of man.

As a pager I use less, that I've compiled whith any problem (of course,
after the compilation and installation of ncurses).

Sure, it took near a day of work to be sure that all is working, but it
is worth the time spent.
-- 
_______________________________________________________________
Fabrizio Lodi   | IEEE Computer Society | Hardly working at    |\
+39-335-6613385 | [email-masked]      | http://www.GLAMM.com |\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".